"""Initial tables

Revision ID: 913dfa11ef
Revises: None
Create Date: 2013-05-22 11:31:22.676232

"""

# revision identifiers, used by Alembic.
revision = '913dfa11ef'
down_revision = None

from alembic import op
import sqlalchemy as sa

from mandaye.models import JSONEncodedDict

def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.create_table('idp_user',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('unique_id', sa.String(length=150), nullable=False),
    sa.Column('idp_id', sa.String(length=150), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('service_provider',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=50), nullable=False),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('name')
    )
    op.create_table('sp_user',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('login', sa.String(length=150), nullable=False),
    sa.Column('post_values', JSONEncodedDict(), nullable=False),
    sa.Column('creation_date', sa.DateTime(), nullable=False),
    sa.Column('last_connection', sa.DateTime(), nullable=True),
    sa.Column('idp_user_id', sa.Integer(), nullable=True),
    sa.Column('service_provider_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['idp_user_id'], ['idp_user.id'], ),
    sa.ForeignKeyConstraint(['service_provider_id'], ['service_provider.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    ### end Alembic commands ###


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('sp_user')
    op.drop_table('service_provider')
    op.drop_table('idp_user')
    ### end Alembic commands ###
