
from importlib import import_module

from mandaye import config
from mandaye.exceptions import ImproperlyConfigured

class DefaultManagerIDPUser:

    @staticmethod
    def get(unique_id, idp_id='default'):
        pass

    @staticmethod
    def create(unique_id, idp_id='default'):
        pass

    @staticmethod
    def get_or_create(unique_id, idp_id='default'):
        pass

    @staticmethod
    def delete(idp_user):
        pass

    @staticmethod
    def save(idp_user):
        pass

class DefaultManagerSPUser:

    @staticmethod
    def get(login, idp_user, service_provider):
        pass

    @staticmethod
    def get_by_id(id):
        pass

    @staticmethod
    def get_last_connected(idp_user, service_provider):
        pass

    @staticmethod
    def create(login, post_values, idp_user, service_provider):
        pass

    @staticmethod
    def get_or_create(login, post_values, idp_user, service_provider):
        pass

    @staticmethod
    def delete(sp_user):
        pass

    @staticmethod
    def save(sp_user):
        pass

class DefaultServiceProvider:

    @staticmethod
    def get(name):
        pass

    @staticmethod
    def create(name):
        pass

    @staticmethod
    def get_or_create(name):
        pass

    @staticmethod
    def delete(service_provider):
        pass

    @staticmethod
    def save(service_provider):
        pass

def import_backend(path):
    try:
        mod = import_module(path)
    except ImportError, e:
        raise ImproperlyConfigured('Error importing backend %s: "%s"' % (path, e))
    return mod

backend = import_backend(config.storage_backend)
ManagerServiceProvider = backend.ManagerServiceProvider
ManagerIDPUser = backend.ManagerIDPUser
ManagerSPUser = backend.ManagerSPUser

