from sqlalchemy import create_engine
from sqlalchemy.orm import sessionmaker, scoped_session

from mandaye import config

if not "sqlite" in config.db_url:
    sql_session = scoped_session(
            sessionmaker(
                bind=create_engine(config.db_url, pool_size=16,
                    pool_recycle=1800)
                )
            )
else:
    sql_session = scoped_session(
            sessionmaker(
                bind=create_engine(config.db_url)
                )
            )
