#!/usr/bin/env python
# -*- coding: utf-8 -*-

""" Script to launch mandaye with gunicorn server
"""

import os
os.environ['MANDAYE_CONFIG_MODULE'] = '{project_name}.config'

import sys

from mandaye.log import logger
from gunicorn.app.wsgiapp import WSGIApplication

class MandayeWSGIApplication(WSGIApplication):

    def init(self, parser, opts, args):
        self.cfg.set("default_proc_name", "{project_name}.wsgi:application_dev")
        self.app_uri = "{project_name}.wsgi:application_dev"

def main():
    """ The ``gunicorn`` command line runner for launcing Gunicorn with
    generic WSGI applications.
    """
    logger.info('{project_name} reverse-proxy start')
    MandayeWSGIApplication("%(prog)s [OPTIONS]").run()

if __name__ == "__main__":
    main()

